Main Page Widgets Namespaces Book

# Gdk::Region Class Reference

List of all members.

## Public Member Functions

| Region ()
| Region (GdkRegion* castitem, bool make_a_copy=false)
| Region (const Region& src)
Region& | operator= (const Region& src)
| ~Region ()
GdkRegion* | gobj ()
const GdkRegion* | gobj () const
GdkRegion* | gobj_copy () const
| Region (const Glib::ArrayHandle<Gdk::Point>& points, FillRule fill_rule)
| Region (const Rectangle& rectangle)
void | get_clipbox (const Rectangle& rectangle)
Glib::ArrayHandle<Rectangle> | get_rectangles () const
bool | empty ()
bool | point_in (int x, int y)
OverlapType | rect_in (const Rectangle& rect)
void | offset (int dx, int dy)
void | shrink (int dx, int dy)
void | union_with_rect (const Rectangle& rect)
| Sets the area of region to the union of the areas of region and rect .
void | intersect (Region& source2)
| Sets the area of to the intersection of the areas of and .
void | union_ (Region& source2)
| Sets the area of to the union of the areas of and .
void | subtract (Region& source2)
| Subtracts the area of from the area .
void | xor_ (Region& source2)
| Sets the area of to the exclusive-OR of the areas of and .
void | spans_intersect_foreach (GdkSpan* spans, int n_spans, bool sorted, GdkSpanFunc function, gpointer data)

## Protected Attributes

GdkRegion* | gobject_

## Related Functions

(Note that these are not member functions.)
bool | operator== (const Region& lhs, const Region& rhs)
bool | operator!= (const Region& lhs, const Region& rhs)
Gdk::Region | wrap (GdkRegion* object, bool take_copy=false)

## Constructor & Destructor Documentation

Gdk::Region::Region | ( |  | ) |

Gdk::Region::Region | ( | GdkRegion* | castitem,
|  | bool | make_a_copy = false
| ) | `[explicit]`

Gdk::Region::Region | ( | const Region& | src | ) |

Gdk::Region::~Region | ( |  | ) |

Gdk::Region::Region | ( | const Glib::ArrayHandle<Gdk::Point>& | points,
|  | FillRule | fill_rule
| ) |

Gdk::Region::Region | ( | const Rectangle& | rectangle | ) |

## Member Function Documentation

bool Gdk::Region::empty | ( |  | ) |

void Gdk::Region::get_clipbox | ( | const Rectangle& | rectangle | ) |

Glib::ArrayHandle<Rectangle> Gdk::Region::get_rectangles | ( |  | ) | const

const GdkRegion* Gdk::Region::gobj | ( |  | ) | const`[inline]`

GdkRegion* Gdk::Region::gobj | ( |  | ) | `[inline]`

GdkRegion* Gdk::Region::gobj_copy | ( |  | ) | const

void Gdk::Region::intersect | ( | Region& | source2 | ) |

Sets the area of to the intersection of the areas of and .

The resulting area is the set of pixels contained in both and .

Parameters:

  source2 | Another Gdk::Region.

void Gdk::Region::offset | ( | int | dx,
|  | int | dy
| ) |

Region& Gdk::Region::operator= | ( | const Region& | src | ) |

bool Gdk::Region::point_in | ( | int | x,
|  | int | y
| ) |

OverlapType Gdk::Region::rect_in | ( | const Rectangle& | rect | ) |

void Gdk::Region::shrink | ( | int | dx,
|  | int | dy
| ) |

void Gdk::Region::spans_intersect_foreach | ( | GdkSpan* | spans,
|  | int | n_spans,
|  | bool | sorted,
|  | GdkSpanFunc | function,
|  | gpointer | data
| ) |

void Gdk::Region::subtract | ( | Region& | source2 | ) |

Subtracts the area of from the area .

The resulting area is the set of pixels contained in but not in .

Parameters:

  source2 | Another Gdk::Region.

void Gdk::Region::union_ | ( | Region& | source2 | ) |

Sets the area of to the union of the areas of and .

The resulting area is the set of pixels contained in either or .

Parameters:

  source2 | A Gdk::Region.

void Gdk::Region::union_with_rect | ( | const Rectangle& | rect | ) |

Sets the area of region to the union of the areas of region and rect .

The resulting area is the set of pixels contained in either region or rect .

Parameters:

  rect | A Gdk::Rectangle.

void Gdk::Region::xor_ | ( | Region& | source2 | ) |

Sets the area of to the exclusive-OR of the areas of and .

The resulting area is the set of pixels contained in one or the other of the two sources but not in both.

Parameters:

  source2 | Another Gdk::Region.

## Friends And Related Function Documentation

bool operator!= | ( | const Region& | lhs,
|  | const Region& | rhs
| ) | `[related]`

bool operator== | ( | const Region& | lhs,
|  | const Region& | rhs
| ) | `[related]`

Gdk::Region wrap | ( | GdkRegion* | object,
|  | bool | take_copy = false
| ) | `[related]`

## Member Data Documentation

GdkRegion* Gdk::Region::gobject_ `[protected]`

The documentation for this class was generated from the following file:

- region.h